View Issue Details

IDProjectCategoryView StatusLast Update
0034680LazarusOtherpublic2019-01-24 01:02
ReporterJulio Jiménez BorregueroAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0RC2Product Build 
Target Version2.0Fixed in Version2.1 (SVN) 
Summary0034680: Regression. Printing under linux broken.
DescriptionThere is a bug introduced in r59700 (svn). Rev 59699 is ok.

Under windows all is fine but under linux all the pages are printed in one page (text over text), also affects to the number of copies (only print one copy).

Tested Linux Mint 19 and Debian 9 Gtk2 and fpc 3.0.5 and Lazreport. Printing to PDF printer and true printer.

[Edit by Juha]
r59700 merges r59492 from trunk. The commit is by Jesus with message :
 "Printers: Support for Cocoa printing, updated examples."
TagsNo tags attached.
Fixed in Revision59823
LazTarget2.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0034932 resolvedJesus Reyes Printing not correct with gtk 

Activities

Zeljan Rikalo

2018-12-11 15:49

developer   ~0112491

I'm wondering why nobody raised issue about trunk in this case

Jesus Reyes

2018-12-14 03:26

developer   ~0112554

Please test

Julio Jiménez Borreguero

2018-12-14 10:01

reporter   ~0112557

Last edited: 2018-12-14 10:02

View 2 revisions

Fixed (in trunk).

Thank you!

Next step... Lazarus fixes 2.0 merging

Julio Jiménez Borreguero

2018-12-18 10:44

reporter   ~0112660

Fixed

Issue History

Date Modified Username Field Change
2018-12-11 13:04 Julio Jiménez Borreguero New Issue
2018-12-11 13:14 Juha Manninen LazTarget => -
2018-12-11 13:14 Juha Manninen Assigned To => Jesus Reyes
2018-12-11 13:14 Juha Manninen Status new => assigned
2018-12-11 13:14 Juha Manninen Description Updated View Revisions
2018-12-11 15:49 Zeljan Rikalo Note Added: 0112491
2018-12-14 03:26 Jesus Reyes Fixed in Revision => 59823
2018-12-14 03:26 Jesus Reyes LazTarget - => 2.0
2018-12-14 03:26 Jesus Reyes Note Added: 0112554
2018-12-14 03:26 Jesus Reyes Status assigned => resolved
2018-12-14 03:26 Jesus Reyes Fixed in Version => 2.1 (SVN)
2018-12-14 03:26 Jesus Reyes Resolution open => fixed
2018-12-14 03:26 Jesus Reyes Target Version => 2.0
2018-12-14 10:01 Julio Jiménez Borreguero Note Added: 0112557
2018-12-14 10:02 Julio Jiménez Borreguero Note Edited: 0112557 View Revisions
2018-12-18 10:44 Julio Jiménez Borreguero Note Added: 0112660
2018-12-18 10:44 Julio Jiménez Borreguero Status resolved => closed
2019-01-24 01:02 Juha Manninen Relationship added related to 0034932